using System.Globalization;
using System.Windows;
using System.Windows.Data;

namespace SHH.CameraDashboard;

// 2. 对象为空时显示，不为空时隐藏 (用于显示提示文字)
public class InverseNullToVisibilityConverter : IValueConverter
{
    public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
    {
        return value == null ? Visibility.Visible : Visibility.Collapsed;
    }

    public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
    {
        throw new NotImplementedException();
    }
}